package com.sinosig.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.client.model.IORG;
import com.sinosig.util.SearchContext;

/**
 * 实体[ORG] 服务对象接口
 */
public interface IORGClientService{

    public IORG createModel() ;

    public Page<IORG> fetchTopOrg(SearchContext context);

    public Page<IORG> fetchDefault(SearchContext context);

    public void update(IORG org);

    public Page<IORG> fetchCurOrg(SearchContext context);

    public void remove(IORG org);

    public void get(IORG org);

    public void create(IORG org);

    public void checkKey(IORG org);

    public void save(IORG org);

    public void getDraft(IORG org);

}
